=== debian/changelog ===
valabind (0.6.1-2) unstable; urgency=low

  * Add new patch, which fixes "valabind-cc --test $language"
  * Add new patch, which disables linking against libpythonX.Y 

 -- Sebastian Reichel <sre@debian.org>  Fri, 04 Nov 2011 17:30:41 +0100

valabind (0.6.1-1) unstable; urgency=low

  * New upstream release
   - do not run swig threaded (it's buggy)

 -- Sebastian Reichel <sre@debian.org>  Wed, 02 Nov 2011 21:14:09 +0100

valabind (0.6-1) unstable; urgency=low

  * new upstream release

 -- Sebastian Reichel <sre@debian.org>  Tue, 01 Nov 2011 13:24:29 +0100

valabind (0.5.2-1) unstable; urgency=low

  * new upstream release
   - c files were removed upstream
   - fixed lintian typo warning

 -- Sebastian Reichel <sre@debian.org>  Thu, 13 Oct 2011 02:06:20 +0200

valabind (0.5.1-1) unstable; urgency=low

  * new upstream release
  * uses vala 0.14

 -- Sebastian Reichel <sre@debian.org>  Thu, 13 Oct 2011 01:47:04 +0200

valabind (0.5-1) unstable; urgency=low

  * initial release (Closes: #573501)

 -- Sebastian Reichel <sre@debian.org>  Wed, 12 Oct 2011 21:52:58 +0200
