=== debian/changelog ===
valabind (0.7.2-2) unstable; urgency=low

  * build depend on vala 0.20 (Closes: #709704)
  * bump Debian Standards Version to 3.9.4

 -- Sebastian Reichel <sre@debian.org>  Fri, 07 Jun 2013 20:51:33 +0200

valabind (0.7.2-1) unstable; urgency=low

  * new upstream release
  * build depend on vala 0.16 (Closes: #675671)
  * bump compat level

 -- Sebastian Reichel <sre@debian.org>  Thu, 25 Oct 2012 01:05:39 +0200
