=== debian/control ===
Source: valabind
Section: devel
Priority: optional
Maintainer: Sebastian Reichel <sre@debian.org>
Build-Depends: debhelper (>= 9),
               libvala-0.20-dev,
               valac-0.20
Standards-Version: 3.9.4
Vcs-Browser: http://git.debian.org/?p=pkg-vala/valabind.git
Vcs-Git: git://git.debian.org/pkg-vala/valabind.git

Package: valabind
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: gobject-introspection, swig, valac
Description: convert vapi files to SWIG, C++, GIR or GEAR files
 Valabind is a tool to parse vala or vapi files and transform them into SWIG
 interface files, C++ source files, GIR or GEAR.
 .
 It allows easy, fully automatic generation of language bindings for vala code.
