=== t/gir/Makefile ===
VB=../../valabind

all:
	${VB} --gir --module=Test Test.vapi
