=== debian/changelog ===
valabind (0.7.4-4ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Build-depend on libvala-0.22-dev instead of
      libvala-0.20-dev to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 07 Jan 2014 20:20:50 -0500

valabind (0.7.4-4) unstable; urgency=medium

  * debian/control: Switched Sebastian and myself as Maintainer/Uploader.

 -- David Martínez Moreno <ender@debian.org>  Fri, 03 Jan 2014 22:41:59 -0800

valabind (0.7.4-3ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Build-depend on libvala-0.22-dev instead of 
      libvala-0.20-dev to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 02 Jan 2014 16:44:37 -0500

valabind (0.7.4-3) unstable; urgency=low

  * debian/patches:
    - 07_add_nolibpython: Add a --nolibpython option to valabind to be able to
    comply with Debian Python Policy 2.1 (no linking binaries with libpython).

 -- David Martínez Moreno <ender@debian.org>  Wed, 25 Dec 2013 03:01:19 -0800

valabind (0.7.4-2) unstable; urgency=medium

  * debian/patches:
    - 06_fix_ldflags_python_php5: Fix LDFLAGS propagation in valabind-cc for
      Python and PHP bindings.

 -- David Martínez Moreno <ender@debian.org>  Fri, 20 Dec 2013 23:56:16 -0800

valabind (0.7.4-1ubuntu1) trusty; urgency=low

  * Add missing build dependency, resolving FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 20 Dec 2013 13:44:18 -0500

valabind (0.7.4-1) unstable; urgency=low

  * New upstream release:
    - Support for cTypes.
    - Support for D bindings.
    - Other fixes.
  * debian/control:
    - Add myself to Uploaders.
    - Convert valac-0.20 dependency to valac (>= 0.20).
    - Add Homepage and converted old Vcs links to the new URL format.
    - Upgrade Standards-Version to 3.9.5.
    - Build-Depends on quilt and libvala-0.20-dev.
  * debian/patches:
    - 01_add_uint_swigwriter: Add support for uint types (backported from
      d2a4162a47).
    - 02_manpage_typo: Added a fix for an invalid keyword.
    - 03_fix_make_clean: Fix leftover generated .c files.
    - 04_proper_version: Bump version from git to 0.7.4.
    - 05_c-cpp-ldflags_support: Honor CFLAGS, CPPFLAGS and LDFLAGS.  This has
      the amazing side effect of allowing fortified builds (e.g. -D
      FORTIFY_SOURCE=2) and binaries with the read-only relocation flag.
      Lintian is happy again.

 -- David Martínez Moreno <ender@debian.org>  Mon, 16 Dec 2013 00:39:22 -0800
