=== debian/control ===
Source: valabind
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: David Martínez Moreno <ender@debian.org>
Uploaders: Sebastian Reichel <sre@debian.org>
Build-Depends: debhelper (>= 9),
               libvala-0.22-dev,
               valac (>= 0.20),
               quilt
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-vala/valabind.git
Vcs-Git: git://anonscm.debian.org/pkg-vala/valabind.git
Homepage: http://radare.org

Package: valabind
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: gobject-introspection, swig, valac
Description: converts vapi files to SWIG, C++, GIR or GEAR files
 Valabind is a tool to parse vala or vapi files and transform them into SWIG
 interface files, C++ source files, GIR or GEAR.
 .
 It allows easy, fully automatic generation of language bindings for vala code.
