=== debian/changelog ===
valabind (0.8.0-2) unstable; urgency=low

  * debian/patches/add_java7_includes: Add default includes for a Debian
    environment in the Java test.  If you already defined JAVA_HOME this makes
    nothing.

 -- David Martínez Moreno <ender@debian.org>  Thu, 17 Jul 2014 00:16:51 +0200

valabind (0.8.0-1) unstable; urgency=low

  * New upstream release:
    - Added OCaml support.
    - Valabind is now aware of external LDFLAGS, CFLAGS et al.
    - Merged most of the Debian patches.
    - Support OS X in better ways.
  * debian/control: Changed Build-Depends to vala-0.24 (closes: #738997,
    #741807).
  * debian/patches:
    - 01_add_uint_swigwriter: Obsolete, removed.
    - 02_manpage_typo: Merged.
    - 03_fix_make_clean: Merged.
    - 04_proper_version: Merged.
    - 05_c-cpp-ldflags_support: Merged.
    - 06_fix_ldflags_python_php5: Merged.
    - 07_add_nolibpython.patch: Refreshed, renamed to add_nolibpython.patch.

 -- David Martínez Moreno <ender@debian.org>  Mon, 23 Jun 2014 17:19:31 +0200
