=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: valabind
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: David Martínez Moreno <ender@debian.org>
+Maintainer: David Martínez Moreno <ender@debian.org>
 Uploaders: Sebastian Reichel <sre@debian.org>
 Build-Depends: debhelper (>= 9),
-               libvala-0.22-dev,
-               valac (>= 0.20),
+               libvala-0.24-dev,
+               valac (>= 0.24),
                quilt
 Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-vala/valabind.git
