=== debian/changelog ===
valabind (0.9.2-2) unstable; urgency=medium

  * Switch to vala 0.30 (Closes: #801238, #802112)

 -- Sebastian Reichel <sre@debian.org>  Fri, 06 Nov 2015 04:23:45 +0100

valabind (0.9.2-1) unstable; urgency=medium

  * New upstream release
  * Switch to vala 0.28 (Closes: #787874)

 -- Sebastian Reichel <sre@debian.org>  Mon, 22 Jun 2015 00:37:28 +0200

valabind (0.9.0-1) unstable; urgency=low

  * New upstream release:
    - Lots of fixes for Vala 0.26.
    - Many other minor fixes.
  * debian/patches:
    - add_nolibpython: Merged.
    - fix-build-against-0.26: Merged.
  * debian/control: Bumped Standards-Version to 3.9.6 (no changes).

 -- David Martínez Moreno <ender@debian.org>  Thu, 02 Apr 2015 00:20:08 -0700

valabind (0.8.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to vala 0.26 and fix build failures with that newer version by
    cherry-picking a patch from upstream. (Closes: #764762, #763248)

 -- Michael Biebl <biebl@debian.org>  Sat, 25 Oct 2014 20:50:32 +0200
