=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: David Martínez Moreno <ender@debian.org>
 Uploaders: Sebastian Reichel <sre@debian.org>
 Build-Depends: debhelper (>= 9),
-               libvala-0.24-dev,
-               valac (>= 0.24),
+               libvala-0.30-dev,
+               valac (>= 0.28),
                quilt
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-vala/valabind.git
 Vcs-Git: git://anonscm.debian.org/pkg-vala/valabind.git
 Homepage: http://radare.org
