## valabind 0.10.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-_VERSION=0.9.2
+_VERSION=0.9.3
 #GIT_TIP=$(shell [ -d .git ] && git log HEAD^..HEAD 2>/dev/null |head -n1|cut -d ' ' -f2)
 GIT_TIP=$(shell git describe --tags)
 CONTACT=pancake@nopcode.org
