=== debian/changelog ===
valabind (0.10.0-3) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Build for vala 0.36
  * Add git_build-with-vala036.patch:
    - Backport patch from git repo to fix build with vala 0.36

 -- Sebastian Reichel <sre@debian.org>  Tue, 29 Aug 2017 14:24:36 +0200

valabind (0.10.0-2) unstable; urgency=medium

  * Drop David Martínez Moreno <ender@debian.org> from Maintainer/Uploader
    list, since he is missing in action since quite some time. Thanks for
    your work! (Closes: #845289)
  * Set Vala maintainer group as maintainer

 -- Sebastian Reichel <sre@debian.org>  Sun, 27 Nov 2016 19:04:32 +0100

valabind (0.10.0-1) unstable; urgency=medium

  * Build for vala 0.34 (Closes: #838335)
  * Update Debian Standards Version to 3.9.8
  * Update VCS urls

 -- Sebastian Reichel <sre@debian.org>  Sat, 24 Sep 2016 12:51:15 +0200

valabind (0.10.0-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version, switch to vala 0.32 (Closes: #819539)

 -- Hilko Bengen <bengen@debian.org>  Sun, 15 May 2016 21:49:46 +0200
