=== debian/control ===
Source: valabind
Section: devel
Priority: optional
Maintainer: Maintainers of Vala packages <pkg-vala-maintainers@lists.alioth.debian.org>
Uploaders: Sebastian Reichel <sre@debian.org>
Build-Depends: debhelper (>= 10~),
               libvala-0.36-dev,
               valac (>= 0.36),
               quilt
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-vala/valabind.git
Vcs-Git: https://anonscm.debian.org/cgit/pkg-vala/valabind.git
Homepage: https://github.com/radare/valabind

Package: valabind
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: gobject-introspection, swig, valac
Description: converts vapi files to SWIG, C++, GIR or GEAR files
 Valabind is a tool to parse vala or vapi files and transform them into SWIG
 interface files, C++ source files, GIR or GEAR.
 .
 It allows easy, fully automatic generation of language bindings for vala code.
