## valabind 1.5.0

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
-_VERSION=0.9.3
+_VERSION=?
+-include config.mk
+
+PWD:=$(shell pwd)
 #GIT_TIP=$(shell [ -d .git ] && git log HEAD^..HEAD 2>/dev/null |head -n1|cut -d ' ' -f2)
 GIT_TIP=$(shell git describe --tags)
-CONTACT=pancake@nopcode.org
-PWD:=$(shell pwd)
 DESTDIR?=
 PREFIX?=/usr
 MANDIR?=$(PREFIX)/share/man
@@ -10,7 +11,7 @@
 VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))
 VALAC?=valac -g --cc="$(CC)" $(VALAFLAGS)
 RTLIBS=gobject-2.0 glib-2.0
-VALAPKG:=$(shell ./getvv)
+VALAPKG:=lib$(shell ./getvv)
 BUILD?=build
 BIN=valabind
 SRC=config.vala main.vala valabindwriter.vala nodeffiwriter.vala utils.vala
@@ -48,6 +49,13 @@
 all: $(BIN)
 endif
 
+#VALASRC=$(HOME)/.config/radare2/r2pm/git/vala-0.39.2
+#VALA040+=--vapidir=$(VALASRC)/ccode --pkg ccode -X -I$(VALASRC)/ccode
+#VALA040+=--vapidir=$(VALASRC)/codegen --pkg codegen -X -I$(VALASRC)/codegen
+VALA040=--pkg $(VALAPKG)
+VALA040+=--vapidir=$(PWD)/private --pkg ccode --pkg codegen -X -I$(PWD)/private
+VALA040+=-X -L/usr/local/lib/$(shell ./getvv) -X -lvalaccodegen
+
 w32:
 	$(MAKE) W32=1
 
@@ -59,7 +67,11 @@
 
 $(BIN): $(SRC) | $(VAPIS)
 	@echo 'Compiling $(VALA_FILTER) -> $@'
-	$(VALAC) -o $@ --pkg posix --pkg $(VALAPKG) --save-temps ${TEMPS}
+ifeq ($(VALAPKG),libvala-0.40)
+	$(VALAC) --vapidir=/usr/local/share/vala/vapi -o $@ --pkg posix $(VALA040) --save-temps ${TEMPS}
+else
+	$(VALAC) -o $@ --pkg posix --pkg $(VALAPKG) --pkg valacodegen-0.40 --save-temps ${TEMPS}
+endif
 	@mv $(VALA_FILTER:%.vala=%.c) $(BUILD)
 
 $(BUILD)/%.vapi: %.vala | $(BUILD)
@@ -67,7 +79,7 @@
 	@$(VALAC) $(VALAFLAGS) --fast-vapi=$@ $<
 	@${MAKE} config.vala
 
-config.vala:
+config.vala: Makefile
 	@echo 'Generating $@'
 	@echo 'const string version_string = "$(VERSION)";' > $@
