=== debian/changelog ===
valabind (1.5.0-2) unstable; urgency=medium

  * Team upload.
  * Build with vala 0.40

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 27 Feb 2018 17:02:37 -0500

valabind (1.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Update debian/watch
  * Drop obsolete Debian Vala Team as Maintainer
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Build with vala 0.38 (Closes: #884222)
  * Drop git_build-with-vala036.patch: Applied in new release
  * Cherry-pick drop_superfluous_copies.patch to fix build with vala 0.38
  * Bump Standards-Version to 4.1.3

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 06 Feb 2018 10:25:08 -0500
