=== debian/control ===
Source: valabind
Section: devel
Priority: optional
Maintainer: Sebastian Reichel <sre@debian.org>
Build-Depends: debhelper (>= 10~),
               libvala-0.40-dev,
               valac (>= 0.39)
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/debian/valabind.git
Vcs-Browser: https://salsa.debian.org/debian/valabind
Homepage: https://github.com/radare/valabind

Package: valabind
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: gobject-introspection, swig, valac
Description: converts vapi files to SWIG, C++, GIR or GEAR files
 Valabind is a tool to parse vala or vapi files and transform them into SWIG
 interface files, C++ source files, GIR or GEAR.
 .
 It allows easy, fully automatic generation of language bindings for vala code.
