=== debian/watch ===
version=4
https://github.com/radare/valabind/releases \
 .*/archive/?([0-9][0-9\.]*)@ARCHIVE_EXT@
