## valabind 1.7.1

=== Makefile ===
--- 
+++ 
@@ -49,12 +49,19 @@
 all: $(BIN)
 endif
 
-#VALASRC=$(HOME)/.config/radare2/r2pm/git/vala-0.39.2
-#VALA040+=--vapidir=$(VALASRC)/ccode --pkg ccode -X -I$(VALASRC)/ccode
-#VALA040+=--vapidir=$(VALASRC)/codegen --pkg codegen -X -I$(VALASRC)/codegen
-VALA040=--pkg $(VALAPKG)
-VALA040+=--vapidir=$(PWD)/private --pkg ccode --pkg codegen -X -I$(PWD)/private
-VALA040+=-X -L/usr/local/lib/$(shell ./getvv) -X -lvalaccodegen
+VALA_VERSION=$(shell ./getvv)
+VALA_PKGLIBDIR=$(shell pkg-config --variable=pkglibdir lib${VALA_VERSION})
+ifeq ($(VALA_PKGLIBDIR),)
+VALA_LIBDIR=$(shell pkg-config --variable=libdir lib${VALA_VERSION})
+VALA_PKGLIBDIR=$(VALA_LIBDIR)/$(shell ./getvv)
+endif
+VALA_PRIVATE_CODEGEN=--pkg $(VALAPKG)
+VALA_PRIVATE_CODEGEN+=--vapidir=$(PWD)/private --pkg codegen -X -I$(PWD)/private
+VALA_PRIVATE_CODEGEN+=--vapidir=${R2PM_PREFIX}/share/vala/vapi/
+VALA_PRIVATE_CODEGEN+=-X -L$(VALA_PKGLIBDIR) -X -lvalaccodegen
+ifneq ($(shell uname),Darwin)
+VALA_PRIVATE_CODEGEN+=-X -Wl,-rpath=$(VALA_PKGLIBDIR)
+endif
 
 w32:
 	$(MAKE) W32=1
@@ -67,11 +74,7 @@
 
 $(BIN): $(SRC) | $(VAPIS)
 	@echo 'Compiling $(VALA_FILTER) -> $@'
-ifeq ($(VALAPKG),libvala-0.40)
-	$(VALAC) --vapidir=/usr/local/share/vala/vapi -o $@ --pkg posix $(VALA040) --save-temps ${TEMPS}
-else
-	$(VALAC) -o $@ --pkg posix --pkg $(VALAPKG) --pkg valacodegen-0.40 --save-temps ${TEMPS}
-endif
+	$(VALAC) -o $@ --pkg posix $(VALA_PRIVATE_CODEGEN) --save-temps ${TEMPS}
 	@mv $(VALA_FILTER:%.vala=%.c) $(BUILD)
 
 $(BUILD)/%.vapi: %.vala | $(BUILD)
