=== debian/changelog ===
valabind (1.7.1-1) unstable; urgency=medium

  * New upstream release
   - Drop build system patches, that have been applied upstream

 -- Sebastian Reichel <sre@debian.org>  Wed, 06 Feb 2019 00:41:00 +0100

valabind (1.7.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Sebastian Reichel ]
  * New upstream release
  * Switch to meson build system
  * Add patches to fix meson build system
  * Add tight dependency for valac, which contains a private library
    used by valabind. Upstream vala and valabind people should find
    a better solution for this, but for now this hack gets things
    running (Closes: #920524)
  * Bump Standards-Version to 4.3.0
  * Fix Upstream URL in copyright file
  * Bump compat level to 12
  * Add manpage

 -- Sebastian Reichel <sre@debian.org>  Tue, 05 Feb 2019 15:44:42 +0100

valabind (1.5.0-3) unstable; urgency=medium

  * Team upload.
  * Build with vala 0.42

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 02 Sep 2018 09:33:27 -0400
