=== t/vala/Makefile ===
--- 
+++ 
@@ -8,14 +8,14 @@
 
 cxx:
 	valac -H vstest.h -C --vapi=${VAPI} --library=libvstest vstest.vala
-	valabind-cc python vstest -NFood -X ${VAPI} ${VALBINDCCFLAGS}
+	valabind-cc python vstest -NFood -x ${VAPI} ${VALBINDCCFLAGS}
 	# compile vstest.cxx as included in test.cxx
 	gcc -c vstest.c -I. `pkg-config gobject-2.0 --cflags --libs`
 	g++ vstest.o test.cxx -I. `pkg-config gobject-2.0 --cflags --libs`
 	#g++ test.cxx -I. `pkg-config gobject-2.0 --cflags --libs`
 
 test:
-	python test.py
+	LD_LIBRARY_PATH=$${PWD} python test.py 
 
 foo:
 	valabind-cc python vstest -NFood ${VAPI} -I. `pkg-config --cflags --libs gobject-2.0`
