=== debian/changelog ===
valabind (1.8.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Debian Standards version to 4.5.1
  * Bump compat level to 13

 -- Sebastian Reichel <sre@debian.org>  Mon, 04 Jan 2021 22:19:31 +0100

valabind (1.7.1-5) unstable; urgency=medium

  * Import upstream patch adding vala 0.48 support (Closes: #952107)

 -- Sebastian Reichel <sre@debian.org>  Tue, 03 Mar 2020 15:59:42 +0100

valabind (1.7.1-4) unstable; urgency=medium

  * automatically generate the packagename for libvalacodegen
    in debian/rules, so that it does not need to be modified
    on every valac major release.
  * Update Build-Dependency to libvala-dev instead of
    libvala-$VERSION-dev allowing simple BinNMUs for Vala
    API bumps.

 -- Sebastian Reichel <sre@debian.org>  Sun, 05 Jan 2020 17:12:46 +0100

valabind (1.7.1-3) unstable; urgency=medium

  * Update package dependency for libvalaccodegen.so
  * Bump Debian Standards version to 4.4.1

 -- Sebastian Reichel <sre@debian.org>  Sun, 05 Jan 2020 15:44:16 +0100

valabind (1.7.1-2) unstable; urgency=medium

  * Team upload
  * Build with vala 0.46
  * Add minimal debian/gbp.conf

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 15 Sep 2019 07:57:56 -0400
