=== debian/control ===
Source: valabind
Section: devel
Priority: optional
Maintainer: Sebastian Reichel <sre@debian.org>
Build-Depends: debhelper-compat (= 13),
               libvala-dev,
               meson,
               valac (>= 0.46.5-1.3)
Rules-Requires-Root: no
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/debian/valabind.git
Vcs-Browser: https://salsa.debian.org/debian/valabind
Homepage: https://github.com/radare/valabind

Package: valabind
Architecture: any
Depends: ${shlibs:Depends},
         ${libvalaccodegen},
         ${misc:Depends},
Suggests: gobject-introspection, swig
Description: converts vapi files to SWIG, C++, GIR or GEAR files
 Valabind is a tool to parse vala or vapi files and transform them into SWIG
 interface files, C++ source files, GIR or GEAR.
 .
 It allows easy, fully automatic generation of language bindings for vala code.
