=== debian/rules ===
#!/usr/bin/make -f

# libvalaccodegen is a private library from valac, which is used by
# valabind. dpkg-shlibdeps does not pick up the dependency because
# the library is unversioned. This is a workaround to add the
# dependency, since upstream does not want to make the ABI stable.
VALA_VERSION := $(shell valac --api-version)
SUBSTVARS = -Vlibvalaccodegen="libvalacodegen-${VALA_VERSION}-0"

%:
	dh $@ --buildsystem=meson

override_dh_gencontrol:
	dh_gencontrol -- $(SUBSTVARS)
